Get dispenser profile
GET
{{server}}/api/v1/smart/dispenserProfile/{{dispenserProfile}}?branch={{branch}}It returns the ticket dispenser profile data & settings.
Response
-
dispenserProfile(object): Ticket Dispenser Profile with structure -
languages(array): Language entities of the profile. -
serviceGroups(array): Service group entities of the profile. -
services(array): Service entities of the profile.
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{smartToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Query parameters
| Key | Value |
|---|---|
branch | {{branch}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/smart/dispenserProfile/{{dispenserProfile}}?branch={{branch}}' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'
const response = await fetch("{{server}}/api/v1/smart/dispenserProfile/{{dispenserProfile}}?branch={{branch}}", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/smart/dispenserProfile/{{dispenserProfile}}?branch={{branch}}"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/smart/dispenserProfile/{{dispenserProfile}}?branch={{branch}}Query parameters (1)
| Key | Value |
|---|---|
branch | {{branch}} |
Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 6826 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"dispenserProfile": {
"type": 8,
"key": "00000000-0000-4000-0008-000000000001",
"name": "Default Profile",
"defaultLang": "00000000-0000-4000-0004-000000000001",
"serviceCount": 1,
"standByTime": 30,
"printDialogTime": 2,
"ticketLayout": "00000000-0000-4000-0009-000000000001",
"appearance": {
"header": {
"visible": true,
"leftText": "",
"rightText": "Q-net Queue Management System"
},
"footer": {
"visible": true,
"leftText": "Phone number",
"rightText": "Email address"
},
"languages": {
"style": "flag_waving"
},
"keyboard": {
"type": "numeric",
"min": 4,
"max": 9,
"mask": "0000-0000"
},
"showBackToMain": true,
"showAppointmentButton": true,
"showAuthenticationButton": true,
"showWaitTime": true,
"showWaitCustomers": true,
"customCss": null,
"customJs": null,
"enableAppointmentQrReading": false,
"enableAuthenticationQrReading": false,
"codeHideType": 0
},
"features": {
"clerkSelection": false,
"specialService": null,
"customerName": 0,
"smsTicket": {
"enabled": false,
"customData": "data10"
},
"advertisements": {
"enabled": false,
"idleTime": 10,
"groups": [],
"ticketGroups": []
}
},
"structure": [
{
"language": "00000000-0000-4000-0004-000000000001",
"items": [
{
"service": "00000000-0000-4000-0007-000000000005"
},
{
"group": "00000000-0000-4000-0023-000000000001",
"items": [
{
"service": "00000000-0000-4000-0007-000000000001"
},
{
"service": "00000000-0000-4000-0007-000000000002"
},
{
"service": "18ed1ace-7774-441b-648f-98d54a257490"
},
{
"service": "00000000-0000-4000-0007-000000000004"
},
{
"service": "00000000-0000-4000-0007-000000000003"
}
]
},
{
"group": "00000000-0000-4000-0023-000000000002",
"items": [
{
"service": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1"
},
{
"service": "00000000-0000-4000-0007-000000000006"
},
{
"service": "18ed1abe-b483-48ee-38e4-1029aafe62af"
},
{
"service": "18ed1ac5-8602-44e0-0e48-05356a4733ea"
}
]
}
]
},
{
"language": "00000000-0000-4000-0004-000000000017",
"items": [
{
"service": "00000000-0000-4000-0007-000000000005"
},
{
"group": "00000000-0000-4000-0023-000000000001",
"items": [
{
"service": "00000000-0000-4000-0007-000000000001"
},
{
"service": "00000000-0000-4000-0007-000000000002"
},
{
"service": "18ed1ace-7774-441b-648f-98d54a257490"
},
{
"service": "00000000-0000-4000-0007-000000000004"
},
{
"service": "00000000-0000-4000-0007-000000000003"
}
]
},
{
"group": "00000000-0000-4000-0023-000000000002",
"items": [
{
"service": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1"
},
{
"service": "00000000-0000-4000-0007-000000000006"
},
{
"service": "18ed1abe-b483-48ee-38e4-1029aafe62af"
},
{
"service": "18ed1ac5-8602-44e0-0e48-05356a4733ea"
}
]
}
]
}
],
"status": 1,
"inactivityCountdown": 10,
"aspect": null,
"time": 1745825909680
},
"languages": [
{
"key": "00000000-0000-4000-0004-000000000017",
"code": "hu",
"name": "Magyar",
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {},
"client": {},
"player": {}
}
},
{
"key": "00000000-0000-4000-0004-000000000001",
"code": "en-gb",
"name": "English",
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {
"welcome": "Welcome in our shop!"
},
"client": {},
"player": {}
}
}
],
"serviceGroups": [
{
"key": "00000000-0000-4000-0023-000000000001",
"name": "Commercial banking",
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Banki szolgáltatások"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Commercial banking",
"explanation": ""
}
}
},
{
"key": "00000000-0000-4000-0023-000000000002",
"name": "Insurances",
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Biztosítások",
"explanation": "Utazás, lakás, nyugdíj biztosítások"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Insurances",
"explanation": "Travel, property, pension insurances"
}
}
}
],
"services": [
{
"key": "00000000-0000-4000-0007-000000000001",
"subType": 1,
"name": "Deposit or withdrawal",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Pénztári be- vagy kifizetés",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000001": {
"name": "Deposit or withdrawal",
"explanation": null,
"comment": null
}
}
},
{
"key": "00000000-0000-4000-0007-000000000002",
"subType": 1,
"name": "Foreign currency deposit or withdrawal",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Valuta be- vagy kifizetés"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Foreign currency deposit or withdrawal",
"explanation": null,
"comment": null
}
}
},
{
"key": "00000000-0000-4000-0007-000000000003",
"subType": 1,
"name": "Transfer order",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Átutalás"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Transfer order",
"explanation": null,
"comment": null
}
}
},
{
"key": "00000000-0000-4000-0007-000000000004",
"subType": 1,
"name": "Safebox services",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Széf szolgáltatás"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Safebox services",
"explanation": null,
"comment": null
}
}
},
{
"key": "00000000-0000-4000-0007-000000000005",
"subType": 1,
"name": "Information",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Információ"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Information",
"explanation": null,
"comment": null
}
}
},
{
"key": "00000000-0000-4000-0007-000000000006",
"subType": 1,
"name": "Health insurance",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Egészségbiztosítás"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Health insurance",
"explanation": null,
"comment": null
}
}
},
{
"key": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1",
"subType": 1,
"name": "Pension insurance",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Nyugdíjbiztosítás"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Pension insurance"
}
}
},
{
"key": "18ed1abe-b483-48ee-38e4-1029aafe62af",
"subType": 1,
"name": "Property insurance",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Lakásbiztosítás"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Property insurance"
}
}
},
{
"key": "18ed1ac5-8602-44e0-0e48-05356a4733ea",
"subType": 1,
"name": "Travel insurance",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Utasbiztosítás"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Travel insurance"
}
}
},
{
"key": "18ed1ace-7774-441b-648f-98d54a257490",
"subType": 1,
"name": "Pension fund",
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000017": {
"name": "Nyugdíjalap"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Pension fund"
}
}
}
]
}